--- title: "createAccessControlGroup" slug: "compute-vserver-acg-createaccesscontrolgroup" updated: 2026-09-17T10:06:02Z published: 2026-09-17T10:06:02Z canonical: "api.ncloud-docs.com/compute-vserver-acg-createaccesscontrolgroup" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # createAccessControlGroup Available in VPC Create a ACG. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/createAccessControlGroup | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default). | | `vpcNo` | String | Required | VPC number - See [getVpcList](/docs/en/networking-vpc-vpcmanagement-getvpclist). | | `accessControlGroupName` | String | Optional | ACG name - Enter 3-30 characters using a combination of lowercase English letters, numbers, and special character "-". - The string must start with a lowercase English letter and end with a lowercase English letter or a number. - Auto-generated on no input (default). | | `accessControlGroupDescription` | String | Optional | ACG description (byte) - 0-1000 | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/createAccessControlGroup ?regionCode=KR &vpcNo=4**5 &accessControlGroupName=acgtestgroup &accessControlGroupDescription=act%20test%20group &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `createAccessControlGroupResponse` | Object | - | Response result - See [AccessControlGroupList](/docs/en/common-vapidatatype-accesscontrolgrouplist). | | `createAccessControlGroupResponse.requestId` | String | - | ID for the request - UUID format | | `createAccessControlGroupResponse.returnCode` | String | - | Response code | | `createAccessControlGroupResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the HTTP status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "createAccessControlGroupResponse": { "totalRows": 1, "accessControlGroupList": [ { "accessControlGroupNo": "6***4", "accessControlGroupName": "acgtestgroup", "isDefault": false, "vpcNo": "4**5", "accessControlGroupStatus": { "code": "RUN", "codeName": "In operation" }, "accessControlGroupDescription": "act test group" } ], "requestId": "76c28dd3-****-****-****-6c62ab99a91f", "returnCode": "0", "returnMessage": "success" } } ```